Post by DannyMacD » Sun Jun 20, 2010 11:22 pm

any update? :)

Active Member

Posts

Joined
Fri Jun 26, 2009 6:39 am

Post by twuncher » Sat Jun 26, 2010 3:30 am

also interested :)

Newbie

Posts

Joined
Sat May 15, 2010 7:42 pm

Post by imaginetech » Mon Jul 26, 2010 1:17 pm

UPDATED FOR OPENCART v1.4.8(b)

AVAILABLE AT

http://www.opencartstore.com

WHAT'S THE DIFFERENCE BETWEEN STANDARD AND ECOMMERCE TRACKING?

http://www.youtube.com/watch?v=_lOlbtkTY2Y

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by tilesupply » Sun Aug 01, 2010 2:52 am

I have an error with the 1.4.8b one.

When I enable it all I get is this
Warning: fopen(/var/www/vhosts/xxxxxxxxxx.co.uk/httpdocs/catalog/view/theme/xxxxxxxx/template/module/googleanalytics.tpl) [function.fopen]: failed to open stream: Permission denied in /var/www/vhosts/xxxxxxxxxx.co.uk/httpdocs/catalog/controller/module/googleanalytics.php on line 66Warning: fwrite(): supplied argument is not a valid stream resource in /var/www/vhosts/xxxxxxxxxx.co.uk/httpdocs/catalog/controller/module/googleanalytics.php on line 67Warning: fclose(): supplied argument is not a valid stream resource in /var/www/vhosts/xxxxxxxxxx.co.uk/httpdocs/catalog/controller/module/googleanalytics.php on line 68Error: Could not load template /var/www/vhosts/xxxxxxxxxx.co.uk/httpdocs/catalog/view/theme/xxxxxxxx/template/module/googleanalytics.tpl!

Can you please help with this.
Many Thanks

Active Member

Posts

Joined
Wed Aug 26, 2009 7:48 am


Post by imaginetech » Sun Aug 01, 2010 7:54 am

Hi,

You need to make sure the permissions on the catalog/view/theme/YOURTHEME/template/modules directory are set in such a way as to allow the controller file to create and write to the file as needed.

I'd suggest possibly setting the folder permissions as 755.

Thank you.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by tdweb » Tue Sep 28, 2010 6:15 am

Any one can help me? I have instaled this module on my opencart 1.4.8 (b). I copy the code from google analytics and it's not working.

I copy the same code from the Google Analytics as the standar analytics module. Is that correct? or Should I add extra code?

New member

Posts

Joined
Fri Jun 04, 2010 10:35 pm

Post by imaginetech » Tue Sep 28, 2010 7:53 am

HI,

I've just updated the instructions for this but you need to use the traditional tracking code an not the new asynchronous tracking code that google have put out:-

http://code.google.com/apis/analytics/d ... rview.html

Also, make sure the in built module has been turned off.

If you PM me I'll send you the updated installation instructions.

Thanks

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by HTMLCSSNoob » Fri Oct 01, 2010 3:26 am

Does this work for OC 1.4.9.1?

Active Member

Posts

Joined
Fri Aug 20, 2010 7:53 am

Post by imaginetech » Wed Nov 10, 2010 11:40 pm

UPDATED

OpenCart v1.4.9*

FEATURES

Track ecommerce transactions through Google Analytics.

INSTALLATION

No file edits required, simply enter your Google Analytics Id (UA-XXXXX-X). PDF installation manual included.

AVAILABLE

http://www.opencartstore.com

Thank you.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by cashman9 » Thu Dec 02, 2010 12:43 pm

I'm having issues with Google Analytics Pro Module.

First off, there is an error in the folder catalog/model/catalog/googleanalytics.php, which gives an error to customers using Paypal standard.
On payment through Paypal Standard (tested only on paypal), it redirects page and giving an error below.

Error:

Code: Select all

Error: Table '*******_store.product_to_category' doesn't exist
Error No: 1146
SELECT category_description.name FROM oc_category_description LEFT JOIN product_to_category ON product_to_category.category_id = category_description.category_id WHERE product_to_category.product_id = '67'
Thanks to Q, the issue was fixed since something is missing in DB_PREFIX on the db queries in Google Analytics Module PRO. Author please look into to this and fix it for future release!

For everyone else: If you are using Google Analytics Pro Module, make sure to buy the item yourself and test it with Paypal Standard. You MIGHT receive the same error and all your customers as well.

Active Member

Posts

Joined
Wed Nov 17, 2010 4:28 am

Post by imaginetech » Sat Dec 04, 2010 6:58 pm

The issue was that a db query was missing the DB_PREFIX constant which meant that if you are using a db prefix then it would return an error.

This has been fixed and if anyone wants the update just flick me your email via PM.

The issue has absolutely nothing to do with paypal or payment gateways and I have tested the module with the above poster and so far results are coming through as expected.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by imaginetech » Sat Jul 02, 2011 7:13 am

Google Analytics PRO Module has been updated to work with OpenCart v1.5.0.*. The module provides additional ecommerce tracking for your Google Analytics account.

Note: This module requires no file editing unlike others that require file edits.

Available from the extensions directory or http://www.opencartstore.com or http://opencartmarket.com.

Thank you.
Last edited by imaginetech on Mon Sep 05, 2011 11:39 am, edited 1 time in total.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by DannyMacD » Tue Jul 05, 2011 6:02 am

emailed for 1.5.0.5 update :) cant wait!

Active Member

Posts

Joined
Fri Jun 26, 2009 6:39 am

User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by safeburn » Fri Oct 28, 2011 3:52 am

Hello

I have small question i updated my open cart version 1.4 to 1.5 this model not compatible with new version, i brought this module but i have the oldest version ... is new update free or are we need to pay again to have ?

Best Regards

Newbie

Posts

Joined
Sun Feb 21, 2010 4:08 pm

Post by speedimpex » Fri Oct 28, 2011 11:05 pm

We are on version 1.4.9.5 of opencart. We have copied the code that google analytics says into the google analytics module in open cart. It is enabled.
Google Analytic's says you have to add the code to each page. Is this true? Surely putting it into the extensions/modules page covers all this?
Also google analytics says that the tracker is not active.
Can anyone help.
Many thanks
Gill

New member

Posts

Joined
Tue Jul 12, 2011 2:17 am

Post by imaginetech » Sun Oct 30, 2011 8:46 pm

safeburn wrote:Hello

I have small question i updated my open cart version 1.4 to 1.5 this model not compatible with new version, i brought this module but i have the oldest version ... is new update free or are we need to pay again to have ?

Best Regards
Upgrade is free, just PM me your receipt number and email address.

Thanks.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by imaginetech » Sun Oct 30, 2011 8:47 pm

speedimpex wrote:We are on version 1.4.9.5 of opencart. We have copied the code that google analytics says into the google analytics module in open cart. It is enabled.
Google Analytic's says you have to add the code to each page. Is this true? Surely putting it into the extensions/modules page covers all this?
Also google analytics says that the tracker is not active.
Can anyone help.
Many thanks
Gill
Are you using my module or the in built analytics? If you are using my module then just enter the UA-XXXXXX-X profile id and the module does everything else.

Thank you.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia

Post by Jazzario » Mon Apr 09, 2012 12:29 pm

I have downloaded this module from opencartmarket.com and it is version 1.4. I am using Opencart 1.5.2.1. I installed it but get the following error.

Fatal error: Cannot access private property Document::$title in /home/colour/public_html/admin/controller/module/googleanalytics.php on line 16

I'm assuming there is a new version of this module available for the latest version of Opencart. How do I get the latest version?

Thanks.

Newbie

Posts

Joined
Mon Apr 09, 2012 12:25 pm

Post by imaginetech » Tue Apr 10, 2012 9:20 am

Jazzario wrote:I have downloaded this module from opencartmarket.com and it is version 1.4. I am using Opencart 1.5.2.1. I installed it but get the following error.

Fatal error: Cannot access private property Document::$title in /home/colour/public_html/admin/controller/module/googleanalytics.php on line 16

I'm assuming there is a new version of this module available for the latest version of Opencart. How do I get the latest version?

Thanks.
Email me (info AT opencartmarket DOT com) with your order number and I will send you the latest version.

Thank you.

Image
www.opencartstore.com
Get OpenCart Templates and OpenCart Modules.


User avatar
Active Member

Posts

Joined
Fri Sep 04, 2009 12:25 pm
Location - Darwin, Australia
Who is online

Users browsing this forum: No registered users and 3 guests